/*
 * FORCEUSER.CMD - Force an user mode
 */

parse arg user status host

if user = "" then
   do
      say "Use: FORCEUSER UIN"
      exit
   end

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

call RxFuncAdd 'ICQLoadFuncs', 'rxicq', 'ICQLoadFuncs'
call ICQLoadFuncs

/* Find current user */

iniFile = SysIni('USER', 'pwICQ', 'ProgramPath')||"pwICQ.INI"
UIN     = SysIni(iniFile,"MAIN","UIN")

/* Send command */

say ICQSetUserStatus(uin,user,status,host)


call ICQDropFuncs




