/*
 * GETUSER.CMD - Get user UIN from nick
 */

parse arg nick

if user = "" then
   do
      say "Use: GETUSER Nickname"
      exit
   end

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

call RxFuncAdd 'ICQLoadFuncs', 'rxicq', 'ICQLoadFuncs'
call ICQLoadFuncs

/* Find current user */

iniFile = SysIni('USER', 'pwICQ', 'ProgramPath')||"pwICQ.INI"
UIN     = SysIni(iniFile,"MAIN","UIN")

/* Send command */

say nick||' = '||ICQQueryUserByNick(uin,nick)

call ICQDropFuncs




